package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@JsonSerialize
@ApiModel(description = "录制查询基础组件库条件")
public class RecordComTreeQueryDto implements Serializable {

    /**
     * 组件库id
     */
    @ApiModelProperty("上级目录id")
    private String treeId;

    /**
     * 组件库类别1-接口，2-pcbs，3-pccs，4-安卓，5-ios，<br>
     */
    @ApiModelProperty("录制类别1-接口，2-pcbs，3-pccs，4-安卓，5-ios，")
    private Integer recordType;

    /**
     * 模糊搜索输入内容
     */
    @ApiModelProperty("模糊搜索输入内容")
    private String selectName;

    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public Integer getRecordType() {
        return recordType;
    }

    public void setRecordType(Integer recordType) {
        this.recordType = recordType;
    }

    public String getSelectName() {
        return selectName;
    }

    public void setSelectName(String selectName) {
        this.selectName = selectName;
    }
}
